Bug 10307 - Сломан ввод/вывод при мультибайтовой локали
: Сломан ввод/вывод при мультибайтовой локали
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/info)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-11-23 11:18 by
Modified: 2007-06-04 14:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-23 11:18:21
info-4.8-alt3

При ненахождении фрагмента в инкрементальном поиске выдается сообщение "Пе 
найдено". Очевидно, опечатка при переводе "Not found" => "Не найдено".
------- Comment #1 From 2006-12-12 12:22:15 -------
Багу подтверждаю, но вот сходу исправить её не удалось :-/ Мистика какая-то:

[coder@yshr4 texinfo-4.8]$ grep -A1 "Search failed" po/ru.po  | iconv -f koi8-r
msgid "Search failed."
msgstr "Не найдено"

Причем перевода "Пе найдено" не смог найти даже в истории po-файла, т.е.
получается этой опечатки никогда и не существовало. Складывается ощущение, что
эта опечатка не в программе info.

>Очевидно, опечатка при переводе "Not found" => "Не найдено".

Судя по сырцам и po-файлу для фразы "Search failed".
------- Comment #2 From 2006-12-12 15:42:58 -------
Не без помощи ldv@ удалось понять, что бага не столь тривиальная и опечатки не
существует :) На самом деле проблема связана с мульти-байтовыми кодировками в
результате чего символы путаются.

Михаил, а ведь вы умолчали, что у вас локаль юникодная ;-) У меня тоже, потому
и
бага воспроизводилась, а вот на koi8-r всё ок :)

Подробное описание на английском доступно здесь:
http://www.nabble.com/Wrapping-lines-and-counting-characters-t2064376.html Бага
"исправлена" в апстриме ещё в августе. Я говорю "исправлена", потому что
поступили весьма грубо и просто отключают всё локализацию для многобайтных
локалей.
------- Comment #3 From 2006-12-13 19:19:46 -------
Спортировал патч из аптрима. Сборка 4.8-alt3.1 доступна в git:
http://git.altlinux.org/people/php_coder/packages/?p=texinfo.git;a=commit;h=74e1a338a5d91292c1004a0f8dfca65aebe05c2f
------- Comment #4 From 2007-06-04 14:44:24 -------
Fixed since december when ldv@ merges changes from my git repo.